--- xemacs-21.4-2015-01-23/src/ChangeLog	2015-01-23 11:06:16.000000000 -0500
+++ xemacs-21.4-2015-01-24/src/ChangeLog	2015-01-24 22:33:20.000000000 -0500
@@ -0,0 +1,9 @@
+2015-01-24  Vin Shelton  <acs@xemacs.org>
+
+	* fileio.c: Guard include of w32api/aclapi.h to preserve Status
+	definition for X Windows.
+
+	* syswindows.h: Move #undef and redeclaration of Status because
+	more w32api includes use Status, which is already defined for X
+	Windows.
+
--- xemacs-21.4-2015-01-23/src/fileio.c	2012-01-13 21:42:37.000000000 -0500
+++ xemacs-21.4-2015-01-24/src/fileio.c	2015-01-24 22:18:18.000000000 -0500
@@ -60,7 +60,9 @@
 #include <aclapi.h>
 #endif /* WIN32_NATIVE */
 #ifdef CYGWIN
+#undef Status
 #include <w32api/aclapi.h>
+#define Status int
 #endif
 
 
--- xemacs-21.4-2015-01-23/src/syswindows.h	2012-01-13 21:42:38.000000000 -0500
+++ xemacs-21.4-2015-01-24/src/syswindows.h	2015-01-24 22:18:33.000000000 -0500
@@ -55,6 +55,12 @@
 #define WIN32_LEAN_AND_MEAN
 #endif
 
+#ifdef HAVE_X_WINDOWS
+/* Christ almighty.  The problems you get when combining two large code bases,
+   neither with any respect for namespace purity. */
+#undef Status
+#endif
+
 #include <windows.h>
 
 #if defined (CYGWIN) && CYGWIN_VERSION_DLL_MAJOR < 21
@@ -64,15 +70,7 @@
 #define FONTENUMPROC FONTENUMEXPROC
 #define ntmTm ntmentm
 #elif defined (WIN32_LEAN_AND_MEAN)
-#ifdef HAVE_X_WINDOWS
-/* Christ almighty.  The problems you get when combining two large code bases,
-   neither with any respect for namespace purity. */
-#undef Status
-#endif
 #include <winspool.h>
-#ifdef HAVE_X_WINDOWS
-#define Status int
-#endif
 #include <mmsystem.h>
 #include <shlobj.h>
 #include <shellapi.h>
@@ -190,6 +188,10 @@
 
 #include <wchar.h>
 
+#ifdef HAVE_X_WINDOWS
+#define Status int
+#endif
+
 #if defined (CYGWIN) && (CYGWIN_VERSION_DLL_COMBINED < 190)
 
 /* All but wcscmp and wcslen left out of Cygwin headers -- but present
